## ros-iron-xacro 2.0.9

=== debian/changelog ===
ros-iron-xacro (2.0.9-3jammy) jammy; urgency=high

  * Evaluate ``arg`` value as str/unicode (#322 <https://github.com/ros/xacro/issues/322>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 26 Feb 2023 16:00:00 -0000

ros-iron-xacro (2.0.8-3jammy) jammy; urgency=high

  * Install xacro using console_script entrypoint (#304 <https://github.com/ros/xacro/issues/304>)
  * Provide xacro.process() returning the processed file (#229 <https://github.com/ros/xacro/issues/229>)
  * Dotted YAML access from list iterator (#318 <https://github.com/ros/xacro/issues/318>)
  * Optionally allow comment evaluation (#310 <https://github.com/ros/xacro/issues/310>)Comment evaluation can be enabled with a special comment:
    
      * ``<!-- xacro:eval-comments -->`` or
      * ``<!-- xacro:eval-comments:on -->``
    It remains active for the following comments until:
    
      * the current XML tag's scope is left (or a new tag entered)
      * another tag or non-whitespace text is processed
      * it becomes explicitly disabled via: ``<!-- xacro:eval-comments:off -->``
    
  * Fix property resolution with namespace usage (#308 <https://github.com/ros/xacro/issues/308>)
    
      * Allow access to properties in parent scopes again (fixes #305 <https://github.com/ros/xacro/issues/305#issuecomment-1016811150>)
      * Pick correct scope when defining a property into the parent (fixes #307 <https://github.com/ros/xacro/issues/307>)Setting a property within the parent scope may occur in two contexts:From within a macro. In that case, one wants to set the property in the caller's scope.
        
        From within the included file. In that case, one wants to set the property in the includer's scope.
    
  * Contributors: Chen Bainian, Gonzalo de Pedro, Gonzo, Jacob Perron, Melvin Wang, Robert Haschke, vandanamandlik

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 21 Oct 2022 16:00:00 -0000

ros-iron-xacro (2.0.7-3jammy) jammy; urgency=high

  * Allow more builtin symbols: sorted, set
  * Don't import hidden symbols from math package
  * Fix eval security vulnerability
    - safe_eval()
    - unit tests validating the protection mechanism
  * Generalize yaml !degrees constructors: Enable expressions as well
  * Improve macro arg parsing (#278 <https://github.com/ros/xacro/issues/278>) to support:
    - $(substitution args)
    - ${python expressions}
    - single or double quoting of spaces
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 03 Sep 2021 16:00:00 -0000

ros-iron-xacro (2.0.6-3jammy) jammy; urgency=high

  * [feature] Expose YamlDictWrapper as dotify() to allow dotted access to any dict (#274 <https://github.com/ros/xacro/issues/274>)
  * [fix]     Scoped macro evaluation (#272 <https://github.com/ros/xacro/issues/272>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 29 May 2021 16:00:00 -0000

ros-iron-xacro (2.0.5-3jammy) jammy; urgency=high

  * [fix]     Report correct filename for XML errors (#268 <https://github.com/ros/xacro/issues/268>)
  * [fix]     Python3-compatible property Table (#266 <https://github.com/ros/xacro/issues/266>)
  * [fix]     Use outer-scope symbols to resolve include filename in xacro:include (#264 <https://github.com/ros/xacro/issues/264>)
  * [fix]     Append test directory to existing AMENT_PREFIX_PATH (#260 <https://github.com/ros/xacro/issues/260>)
  * [fix]     yaml loading: recursively wrap lists and dicts for dotted dict access (#258 <https://github.com/ros/xacro/issues/258>)
  * [feature] Provide support for yaml constructors !degrees and !radians (#252 <https://github.com/ros/xacro/issues/252>)
  * Contributors: Chen Bainian, Robert Haschke, G.A. vd. Hoorn

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 01 Mar 2021 16:00:00 -0000

ros-iron-xacro (2.0.3-3jammy) jammy; urgency=high

  * Merge improvements of melodic and noetic branches into dashing-devel: see 1.14.2 and 1.14.3 for details
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 08 Aug 2020 16:00:00 -0000

ros-iron-xacro (2.0.2-3jammy) jammy; urgency=high

  * Merge improvements of melodic and noetic branches into dashing-devel: see 1.14.1, 1.13.5 for details
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 28 Mar 2020 16:00:00 -0000

ros-iron-xacro (2.0.1-3jammy) jammy; urgency=high

  * Revert requiring that all xacro commands are prefixed with 'xacro:' namespace
    Although this is deprecated since #79 <https://github.com/ros/xacro/issues/79>,
    the corresponding deprecation warning wasn't actually issued.
    Thus, we will accept non-prefixed xacro tags until F-turtle.
  * Install to both, bin/xacro and lib/xacro/xacro
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 05 Oct 2019 16:00:00 -0000

ros-iron-xacro (2.0.0-3jammy) jammy; urgency=high

  * PEP8 cleanup
    - code simplifications
    - avoid empty except
    - sort imports
    - format line breaks
  * Code cleanup
    - Removed deprecated options --legacy, --inorder, --check-order, --includes
    - Require all xacro commands to be prefixed with 'xacro:'
    - Added missing copyright notices
    - Removed python2 stuff
  * Adapt Travis config to use colcon
  * Provide ROS2-based replacement for substition args
  * Modified package structure as per ROS2 rules
    - Using ament_cmake
    - Moved source contents from "src/xacro" to "xacro"
    - Modified package.xml and setup.py according to ROS2 requirements
    - Configured completion hook
    - Removed catkin artifacts from cmake extension
  * Contributors: vandanamandlik, Jacob Perron, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 27 Sep 2019 16:00:00 -0000

ros-iron-xacro (1.14.4-3jammy) jammy; urgency=high


